CobolConnectionMetaData (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolConnectionMetaData class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolConnectionMetaData

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolConnectionMetaData

All Implemented Interfaces:
  ConnectionMetaData

public class CobolConnectionMetaData
extends Object
implements ConnectionMetaData

CobolConnectionMetaData class represents the meta data about the Cobol Server

Constructor Summary
`CobolConnectionMetaData(CobolManagedConnection mc)` Construct a new CobolConnectionMetaData instance

Method Summary
`String` | `getEISProductName()` Get the Enterprise Server name.
`String` | `getEISProductVersion()` Get the Enterprise Server version.
`String` | `getUserName()` Get the user name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolConnectionMetaData

    public CobolConnectionMetaData(CobolManagedConnection mc)

  Construct a new CobolConnectionMetaData instance

Parameters:
  `mc` - - CobolManagedConnection - Physical Connection to the Cobol Server.

Method Detail

### getEISProductName

    public String getEISProductName()
                             throws ResourceException

  Get the Enterprise Server name.

  Specified by:
    `getEISProductName` in interface `ConnectionMetaData`
  Returns:
    The Cobol Server name
  Throws:
    `ResourceException`

### getEISProductVersion

    public String getEISProductVersion()
                                throws ResourceException

  Get the Enterprise Server version.

  Specified by:
    `getEISProductVersion` in interface `ConnectionMetaData`
  Returns:
    - The Cobol Server version.
  Throws:
    `ResourceException`

### getUserName

    public String getUserName()
                       throws ResourceException

  Get the user name.

  Specified by:
    `getUserName` in interface `ConnectionMetaData`
  Returns:
    The user name.
  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.